---
title: RTCInboundRtpStreamStats.packetsFailedDecryption
slug: Web/API/RTCInboundRtpStreamStats/packetsFailedDecryption
tags:
  - API
  - Decryption
  - Packets
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - packetsFailedDecryption
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>packetsFailedDecryption</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates the total number of {{Glossary("RTP")}} packets which failed to be decrypted successfully after being received by the local end of the connection during this session.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>packetsFailedDecryption</em> = <em>rtcInboundRtpStreamStats</em>.packetsFailedDecryption;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which indicates how many packets the local end of the RTP connection could not be successfully decrypted.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-packetsfaileddecryption', 'RTCInboundRtpStreamStats.packetsFailedDecryption')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.packetsFailedDecryption")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(3711, "3.3")}}: Description of the decryption process for secure RTP packets</li>
</ul>
